#Enable structure overlap prevention
enableOverlapPrevention = true
#Log when structures are blocked due to overlap
logBlockedStructures = false
#Use 3D overlap detection instead of 2D (X-Z only). 3D prevents underground structures from blocking surface structures and vice versa.
use3DOverlapDetection = true
#Minimum distance between structure centers to prevent overlap (in blocks)
# Default: 16
# Range: 1 ~ 1000
minOverlapDistance = 16
#List of structure IDs that should have overlap prevention enabled. If empty, all structures are included.
#Note: Use the actual Minecraft registry names (e.g., minecraft:village_plains, minecraft:stronghold)
structureWhitelist = []
#List of structure IDs that should have overlap prevention disabled
#Note: Use the actual Minecraft registry names, not display names.
#Common structure names: minecraft:jigsawstructure, minecraft:netherfossilstructure,
#minecraft:fossilstructure, minecraft:jungletemplestructure, minecraft:swamphutstructure,
#minecraft:igloostructure, minecraft:alternatejigsawstructure, etc.
structureBlacklist = ["minecraft:jigsawstructure", "minecraft:netherfossilstructure", "minecraft:fossilstructure", "minecraft:jungletemplestructure", "minecraft:swamphutstructure", "minecraft:igloostructure", "minecraft:alternatejigsawstructure", "minecraft:shipwreck_beached", "minecraft:stronghold", "minecraft:swamp_hut", "minecraft:trail_ruins", "minecraft:trial_chambers", "minecraft:village_desert", "minecraft:village_plains", "minecraft:village_savanna", "minecraft:village_snowy", "minecraft:village_taiga", "minecraft:ancient_city", "minecraft:bastion_remnant", "minecraft:buried_treasure", "minecraft:desert_pyramid", "minecraft:end_city", "minecraft:fortress", "minecraft:igloo", "minecraft:jungle_pyramid", "minecraft:mansion", "minecraft:mineshaft", "minecraft:mineshaft_mesa", "minecraft:monument", "minecraft:nether_fossil", "minecraft:ocean_ruin_cold", "minecraft:ocean_ruin_warm", "minecraft:pillager_outpost", "minecraft:ruined_portal", "minecraft:ruined_portal_desert", "minecraft:ruined_portal_jungle", "minecraft:ruined_portal_mountain", "minecraft:ruined_portal_nether", "minecraft:ruined_portal_ocean", "minecraft:ruined_portal_swamp", "minecraft:shipwreck", "ctov:small/village_plains_fortified", "ctov:small/village_savanna", "ctov:small/village_savanna_na", "ctov:small/village_snowy_igloo", "ctov:small/village_swamp", "ctov:small/village_swamp_fortified", "ctov:small/village_taiga", "ctov:small/village_taiga_fortified", "ctov:small/village_underground", "ctov:small/village_beach", "ctov:small/village_christmas", "ctov:small/village_dark_forest", "ctov:small/village_desert", "ctov:small/village_desert_oasis", "ctov:small/village_jungle", "ctov:small/village_jungle_tree", "ctov:small/village_mesa", "ctov:small/village_mesa_fortified", "ctov:small/village_mountain", "ctov:small/village_mountain_alpine", "ctov:small/village_mushroom", "ctov:small/village_plains", "ctov:medium/village_mesa_fortified", "ctov:medium/village_mountain", "ctov:medium/village_mountain_alpine", "ctov:medium/village_mushroom", "ctov:medium/village_plains", "ctov:medium/village_plains_fortified", "ctov:medium/village_savanna", "ctov:medium/village_savanna_na", "ctov:medium/village_snowy_igloo", "ctov:medium/village_swamp", "ctov:medium/village_swamp_fortified", "ctov:medium/village_taiga", "ctov:medium/village_taiga_fortified", "ctov:medium/village_underground", "ctov:medium/village_beach", "ctov:medium/village_christmas", "ctov:medium/village_dark_forest", "ctov:medium/village_desert", "ctov:medium/village_desert_oasis", "ctov:medium/village_jungle", "ctov:medium/village_jungle_tree", "ctov:medium/village_mesa", "ctov:large/village_mountain", "ctov:large/village_mountain_alpine", "ctov:large/village_mushroom", "ctov:large/village_plains", "ctov:large/village_plains_fortified", "ctov:large/village_savanna", "ctov:large/village_savanna_na", "ctov:large/village_snowy_igloo", "ctov:large/village_swamp", "ctov:large/village_swamp_fortified", "ctov:large/village_taiga", "ctov:large/village_taiga_fortified", "ctov:large/village_underground", "ctov:large/village_beach", "ctov:large/village_christmas", "ctov:large/village_dark_forest", "ctov:large/village_desert", "ctov:large/village_desert_oasis", "ctov:large/village_jungle", "ctov:large/village_jungle_tree", "ctov:large/village_mesa", "ctov:large/village_mesa_fortified", "ribbits:ribbit_village", "skyvillages:skyvillage", "takesapillage:pillager_camp", "takesapillage:bastille", "cataclysm:ancient_factory", "cataclysm:burning_area", "cataclysm:cursed_pyramid", "cataclysm:frosted_prison", "cataclysm:ruined_citadel", "cataclysm:soul_black_smith", "cataclysm:sunken_city", "repurposed_structures:ancient_city_nether", "repurposed_structures:ancient_city_ocean", "repurposed_structures:bastion_underground", "repurposed_structures:city_nether", "repurposed_structures:city_overworld", "repurposed_structures:fortress_jungle", "repurposed_structures:igloo_grassy", "repurposed_structures:igloo_mangrove", "repurposed_structures:igloo_mushroom", "repurposed_structures:igloo_stone", "repurposed_structures:mansion_birch", "repurposed_structures:mansion_desert", "repurposed_structures:mansion_jungle", "repurposed_structures:mansion_mangrove", "repurposed_structures:mansion_oak", "repurposed_structures:mansion_savanna", "repurposed_structures:mansion_snowy", "repurposed_structures:mansion_taiga", "repurposed_structures:mineshaft_basalt", "repurposed_structures:mineshaft_birch", "repurposed_structures:mineshaft_crimson", "repurposed_structures:mineshaft_dark_forest", "repurposed_structures:mineshaft_desert", "repurposed_structures:mineshaft_end", "repurposed_structures:mineshaft_icy", "repurposed_structures:mineshaft_jungle", "repurposed_structures:mineshaft_nether", "repurposed_structures:mineshaft_ocean", "repurposed_structures:mineshaft_savanna", "repurposed_structures:mineshaft_soul", "repurposed_structures:mineshaft_stone", "repurposed_structures:mineshaft_swamp", "repurposed_structures:mineshaft_taiga", "repurposed_structures:mineshaft_warped", "repurposed_structures:monument_desert", "repurposed_structures:monument_icy", "repurposed_structures:monument_jungle", "repurposed_structures:monument_nether", "repurposed_structures:outpost_badlands", "repurposed_structures:outpost_basalt", "repurposed_structures:outpost_birch", "repurposed_structures:outpost_crimson", "repurposed_structures:outpost_desert", "repurposed_structures:outpost_end", "repurposed_structures:outpost_giant_tree_taiga", "repurposed_structures:outpost_icy", "repurposed_structures:outpost_jungle", "repurposed_structures:outpost_mangrove", "repurposed_structures:outpost_nether_brick", "repurposed_structures:outpost_oak", "repurposed_structures:outpost_ocean", "repurposed_structures:outpost_savanna", "repurposed_structures:outpost_snowy", "repurposed_structures:outpost_soul", "repurposed_structures:outpost_taiga", "repurposed_structures:outpost_warped", "repurposed_structures:pyramid_badlands", "repurposed_structures:pyramid_dark_forest", "repurposed_structures:pyramid_end", "repurposed_structures:pyramid_flower_forest", "repurposed_structures:pyramid_giant_tree_taiga", "repurposed_structures:pyramid_icy", "repurposed_structures:pyramid_jungle", "repurposed_structures:pyramid_mushroom", "repurposed_structures:pyramid_nether", "repurposed_structures:pyramid_ocean", "repurposed_structures:pyramid_snowy", "repurposed_structures:ruined_portal_end", "repurposed_structures:ruins_land_cold", "repurposed_structures:ruins_land_hot", "repurposed_structures:ruins_land_icy", "repurposed_structures:ruins_land_warm", "repurposed_structures:ruins_nether", "repurposed_structures:shipwreck_crimson", "repurposed_structures:shipwreck_end", "repurposed_structures:shipwreck_nether_bricks", "repurposed_structures:shipwreck_warped", "repurposed_structures:stronghold_end", "repurposed_structures:stronghold_nether", "repurposed_structures:temple_nether_basalt", "repurposed_structures:temple_nether_crimson", "repurposed_structures:temple_nether_soul", "repurposed_structures:temple_nether_warped", "repurposed_structures:temple_nether_wasteland", "repurposed_structures:temple_ocean", "repurposed_structures:temple_taiga", "repurposed_structures:village_badlands", "repurposed_structures:village_bamboo", "repurposed_structures:village_birch", "repurposed_structures:village_cherry", "repurposed_structures:village_crimson", "repurposed_structures:village_dark_forest", "repurposed_structures:village_giant_taiga", "repurposed_structures:village_jungle", "repurposed_structures:village_mountains", "repurposed_structures:village_mushroom", "repurposed_structures:village_oak", "repurposed_structures:village_ocean", "repurposed_structures:village_swamp", "repurposed_structures:village_warped", "repurposed_structures:witch_hut_birch", "repurposed_structures:witch_hut_dark_forest", "repurposed_structures:witch_hut_giant_tree_taiga", "repurposed_structures:witch_hut_mangrove", "repurposed_structures:witch_hut_oak", "repurposed_structures:witch_hut_taiga", "repurposed_structures:ancient_city_end"]
#Per-structure minimum overlap distances. Format: ["structure_id=distance", "another_id=32"]
#Note: Use actual Minecraft registry names (e.g., "minecraft:village_plains=64", "minecraft:stronghold=32")
structureSpecificDistances = []
#Per-structure enable/disable settings. Format: ["structure_id=true", "another_id=false"]
#Note: Use actual Minecraft registry names (e.g., "minecraft:village_plains=true", "minecraft:stronghold=false")
structureSpecificEnabled = []
